    @keyframes gradientShift {
        0% {
            background-position: 0% 50%;
        }

        50% {
            background-position: 100% 50%;
        }

        100% {
            background-position: 0% 50%;
        }
    }

    .product-item.preload {
        aspect-ratio: 1/1.5;
        background: linear-gradient(45deg, #0000004d, transparent, #0000004d);
        background-size: 200% 200%;
        animation: gradientShift 3s ease-in-out infinite;
    }